$chip(6502)
$title(Impossible Mission 2)
$paginate
$indent=8

	%include macro.inc
	%include auxseg.inc
	seg	vidtabs
	
	public	musiseg,tonetbl,durcom

tonetbl	db	255,241,227,214,202,191,180,170,161,152,143,135
	db	127,120,114,107,101, 96, 90, 85, 80, 76, 72, 68	
	db	 64, 60, 57, 54, 51, 48, 45, 43, 40, 38, 36, 34

durcom	db	34,35,38,40,42,45,48,51,53,57,60,64,68,72,76,81,85,90,96,102
	db	108,114,120,127,135,144,152,160,170,180,192,201,216,228,240,255

O3C equ  0
O3CF equ 1
O3DB equ 1
O3D equ  2
O3DF equ 3
O3EB equ 3
O3E equ  4
O3F equ  5
O3FF equ 6
O3GB equ 6
O3G equ  7
O3GF equ 8
O3AB equ 8
O3A equ  9
O3AF equ 10
O3HB equ 10
O3H equ  11

O4C equ  0+12
O4CF equ 1+12
O4DB equ 1+12
O4D equ  2+12
O4DF equ 3+12
O4EB equ 3+12
O4E equ  4+12
O4F equ  5+12
O4FF equ 6+12
O4GB equ 6+12
O4G equ  7+12
O4GF equ 8+12
O4AB equ 8+12
O4A equ  9+12
O4AF equ 10+12
O4HB equ 10+12
O4H equ  11+12

O5C equ  0+24
O5CF equ 1+24
O5DB equ 1+24
O5D equ 2+24

L1 	equ 32*2
L2 	equ 16*2
L4 	equ 8*2
L8 	equ 4*2
L16	equ 2*2
L32	equ 1*2

L24    equ	24*2
L48    equ	12*2
L816   equ	6*2
L1632  equ	3*2

L416   equ	10*2

L24816 equ	30*2
L4816  equ	14*2
L248   equ	28*2

O equ	  $ff

musiseg	dw	mus0
	dw	mus1
	dw	mus2
	dw	mus3
	dw	mus4
	dw	mus5
	dw	mus6
mus0
	db	$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
	db	$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
	db	$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
	db	$ff,$ff,$ff,$ff,$ff,$ff,$ff,$ff
mus1
	db	O3G
	db	O3G
	db	O3A
	db	O
	db	O
	db	O3H
	db	O3H
	db	O3G

	db	O3G
	db	O3G
	db	O3G
	db	O3D
	db	O3D
	db	O3G
	db	O3G
	db	O3A

	db	O3H
	db	O3H
	db	O4C
	db	O
	db	O
	db	O4D
	db	O4D
	db	O4H

	db	O3H
	db	O3H
;	db	O3H
	db	O4D
	db	O4D
	db	O4E
	db	O4E
	db	O4FF
	db	O4G

mus2
	db	O3G
	db	O3A
	db	O3A
	db	O3G
	db	O3E
	db	O3E
	db	O3E
	db	O3E

	db	O4C
	db	O4D
	db	O4D
	db	O4C
	db	O3A
	db	O3A
	db	O3A
	db	O3A

	db	O3G
	db	O3G
	db	O3G
	db	O3F
	db	O3F
	db	O3E
	db	O3D
	db	O3D

	db	O3G
	db	O3G
	db	O3G
	db	O3F
	db	O3F
	db	O3E
	db	O3D
	db	O3D

mus3
	db	O4C
	db	O3H
	db	O4C
	db	O4D
	db	O4E
	db	O4D
	db	O4E
	db	O4F

	db	O4G
	db	O4G
	db	O4G
	db	O4G
	db	O4G
	db	O4G
	db	O5C
	db	O5C

	db	O4D
	db	O4CF
	db	O4D
	db	O4E
	db	O4F
	db	O4E
	db	O4F
	db	O4G

	db	O4A
	db	O4A
	db	O4A
	db	O4A
	db	O4A
	db	O4A
	db	O5D
	db	O5D

mus4
	db	O4C
	db	O4C
	db	O3G
	db	O3G
	db	O3A
	db	O3A
	db	O3G
	db	O3G

	db	O4C
	db	O4C
	db	O3G
	db	O3G
	db	O3A
	db	O3A
	db	O3G
	db	O3G

	db	O4C
	db	O4C
	db	O3G
	db	O3G
	db	O3A
	db	O4C
	db	O3H
	db	O3A

	db	O3H
	db	O3H
	db	O
	db	O
	db	O
	db	O
	db	O3H
	db	O3H

mus5
	db	O3G
	db	O3FF
	db	O3G
	db	O3G
	db	O3G
	db	O3G
	db	O3A
	db	O3A

	db	O3H
	db	O3H
	db	O3H
	db	O3A
	db	O3H
	db	O3H
	db	O4C
	db	O4C

	db	O4D
	db	O4CF
	db	O4D
	db	O4D
	db	O4D
	db	O4D
	db	O4E
	db	O4E

	db	O4CF
	db	O4CF
	db	O4CF
	db	O3H
	db	O3A
	db	O3A
	db	O4D
	db	O4D

mus6
	db	O3C
	db	O3E
	db	O3G
	db	O4C
	db	O3E
	db	O3G
	db	O4C
	db	O4E

	db	O4G
	db	O4G
	db	O4G
	db	O4E
	db	O4G
	db	O4G
	db	O4G
	db	O4E

	db	O4G
	db	O4G
	db	O4G
	db	O4E
	db	O4G
	db	O4G
	db	O4G
	db	O4E

	db	O4G
	db	O4A
	db	O4H
	db	O5C
	db	O4G
	db	O4F
	db	O4E
	db	O4D

	end
