$chip(6502)
$title(Impossible Mission 2)
$subtitle(Character images for room drawing)
$paginate
$indent=8
$AllPublic

	%include mainseg.inc

	PUBLIC	char0, char1
	SEG	chardata

char0	db	$bb, $bb, $bb, $bb, $bb, $bb, $bb, $bb ;0  blank
	db	$ff, $ff, $ff, $ff, $ff, $ff, $ff, $bf ;1  wall
	db	$99, $99, $99, $99, $99, $99, $99, $99 ;2  floor top
	db	$11, $11, $11, $11, $11, $11, $11, $11 ;3  side
	db	$77, $44, $44, $77, $00, $00, $00, $00 ;4  mid floor
	db	$dd, $dd, $dd, $dd, $dd, $dd, $dd, $dd ;5  s floor surf
	db	$77, $44, $44, $77, $bb, $bb, $bb, $bb ;6  init floor
	db	$bb, $bb, $bb, $bb, $9b, $9b, $99, $99 ;7  corner floor surf
	db	$bb, $bb, $bb, $bb, $db, $db, $dd, $dd ;8  corner s-floor surf
	db	$11, $11, $11, $11, $11, $11, $b1, $b1 ;9  side of wall bottom
	db	$99, $99, $99, $99, $19, $19, $11, $11 ;10 corner floor/side
	db	$dd, $dd, $dd, $dd, $9d, $9d, $99, $99 ;11 s-floor/floor
	db	$99, $99, $99, $99, $d9, $d9, $dd, $dd ;12 floor/s-floor
	db	$11, $11, $11, $11, $91, $91, $99, $99 ;13 side of wall/floor
	db	$11, $11, $01, $01, $00, $00, $00, $00 ;14 side of floor end
	db	$77, $44, $44, $77, $11, $11, $11, $11 ;15 side under floor
	db	$bb, $bb, $bb, $bb, $bb, $bb, $bb, $bb ;16 niche end
	db	$dd, $dd, $dd, $dd, $1d, $1d, $11, $11 ;17 side/s-floor
	db	$11, $11, $11, $11, $d1, $d1, $dd, $dd ;18 s-floor/side
	db	$77, $44, $44, $77, $99, $19, $11, $11 ;19 diagonal under floor
	db	$11, $11, $00, $00, $90, $90, $99, $99 ;20 black/floor
	db	$0b, $0b, $0b, $0b, $0b, $0b, $0b, $0b ;21 vert groove
	db	$bb, $bb, $bb, $00, $00, $bb, $bb, $bb ;22 horiz groove
	db	$77, $44, $44, $77, $bb, $bb, $bb, $bb ;23 corner of niche
	db	$77, $33, $77, $33, $77, $33, $77, $33 ;24 top of lift
	db	$77, $33, $77, $33, $97, $93, $99, $99 ;25 l-floor/floor
	db	$99, $99, $99, $99, $79, $39, $77, $33 ;26 floor/l-floor
	db	$77, $33, $77, $33, $d7, $d3, $dd, $dd ;27 l-floor/s-floor
	db	$dd, $dd, $dd, $dd, $7d, $3d, $77, $33 ;28 s-floor/l-floor
	db	$11, $11, $11, $11, $71, $31, $77, $33 ;29 side/l-floor
	db	$77, $33, $77, $33, $17, $13, $11, $11 ;30 l-floor/side
	db	$bb, $bb, $bb, $bb, $7b, $3b, $77, $33 ;31 blank/l-floor
	db	$11, $11, $00, $00, $70, $30, $77, $33 ;32 black/l-floor
	db	$77, $44, $44, $77, $77, $13, $11, $11 ;33 diag under l-floor
	db	$bb, $bb, $bb, $00, $70, $3b, $77, $33 ;34 h-groove/l-floor

	ds	$e8

char1	db	$bb, $bb, $bb, $bb, $bb, $bb, $bb, $bb ;0  blank
	db	$fb, $fb, $fb, $fb, $fb, $fb, $fb, $bb ;1  wall
	db	$99, $99, $99, $99, $99, $99, $99, $99 ;2  floor top
	db	$11, $11, $11, $11, $11, $11, $11, $11 ;3  side
	db	$77, $44, $44, $77, $00, $00, $00, $00 ;4  mid floor
	db	$dd, $dd, $dd, $dd, $dd, $dd, $dd, $dd ;5  s floor surf
	db	$77, $44, $44, $77, $bb, $bb, $bb, $bb ;6  init floor
	db	$9b, $9b, $99, $99, $99, $99, $99, $99 ;7  corner floor surf
	db	$db, $db, $dd, $dd, $dd, $dd, $dd, $dd ;8  corner s-floor surf
	db	$11, $11, $b1, $b1, $bb, $bb, $bb, $bb ;9  side of wall bottom
	db	$19, $19, $11, $11, $11, $11, $11, $11 ;10 corner floor/side
	db	$9d, $9d, $99, $99, $99, $99, $99, $99 ;11 s-floor/floor
	db	$d9, $d9, $dd, $dd, $dd, $dd, $dd, $dd ;12 floor/s-floor
	db	$91, $91, $99, $99, $99, $99, $99, $99 ;13 side of wall/floor
	db	$00, $00, $00, $00, $00, $00, $00, $00 ;14 side of floor end
	db	$77, $44, $44, $77, $11, $11, $11, $11 ;15 side under floor
	db	$fb, $fb, $fb, $fb, $fb, $fb, $fb, $fb ;16 niche end
	db	$1d, $1d, $11, $11, $11, $11, $11, $11 ;17 side/s-floor
	db	$d1, $d1, $dd, $dd, $dd, $dd, $dd, $dd ;18 s-floor/side
	db	$77, $44, $44, $77, $11, $11, $01, $00 ;19 diagonal under floor
	db	$90, $90, $99, $99, $99, $99, $99, $99 ;20 black/floor
	db	$bb, $bb, $bb, $bb, $bb, $bb, $bb, $bb ;21 vert groove
	db	$bb, $bb, $bb, $00, $00, $bb, $bb, $bb ;22 horiz groove
	db	$77, $44, $44, $77, $fb, $fb, $fb, $fb ;23 corner of niche
	db	$77, $33, $77, $33, $77, $33, $77, $33 ;24 top of lift
	db	$97, $93, $99, $99, $99, $99, $99, $99 ;25 l-floor/floor
	db	$79, $39, $77, $33, $77, $33, $77, $33 ;26 floor/l-floor
	db	$d7, $d3, $dd, $dd, $dd, $dd, $dd, $dd ;27 l-floor/s-floor
	db	$7d, $3d, $77, $33, $77, $33, $77, $33 ;28 s-floor/l-floor
	db	$71, $31, $77, $33, $77, $33, $77, $33 ;29 side/l-floor
	db	$17, $13, $11, $11, $11, $11, $11, $11 ;30 l-floor/side
	db	$7b, $3b, $77, $33, $77, $33, $77, $33 ;31 blank/l-floor
	db	$70, $30, $77, $33, $77, $33, $77, $33 ;32 black/l-floor
	db	$77, $44, $44, $77, $11, $11, $01, $00 ;33 diag under l-floor
	db	$7b, $3b, $77, $33, $77, $33, $77, $33 ;34 h-groove/l-floor

	END