$chip(6502)
$title(Impossible Mission 2)
$paginate
$indent=8
**********************************************
*					     *
**********************************************

	%include macro.inc
	%include secseg.inc

	EXTERN	wr_main, wr_aux, rd_main, rd_aux
	extern	sfloors,n_sfloors
	extern	copy_e

	extern	numslo,numshi,nxpcc,xsppoint,xdraw

	extern	pins
	extern	scanlo,scanhi
	extern	numatab,numbtab

	seg	page0
	single	savey
	single	joytmp		;temp - mainly for collision info

	SEG	temps

	single	spxofs
	single	spyofs
	double	spoint
	single	joytmp1

	SEG	graph
	public	termnums,shfsfl
termnums	proc
	sta	joytmp
	sta	rd_aux
	sta	wr_aux
	lda	#6
	sta	nxpcc
	lda	#4
	sta	nxpcc+1
	lda	#$e6
	sta	nxpcc+3
	lda	#low nxpcc
	sta	xsppoint
	lda	#high nxpcc
	sta	xsppoint+1

	ldy	#0
lp7x
	sta	rd_aux
	sta	wr_aux
	lda	#7
	cpy	joytmp
	bne	dticla2
	lda	#15
dticla2
	sta	nxpcc+2
	lda	numatab,y
	sta	spyofs
	lda	numbtab,y
	sta	spxofs
	cpy	#6
	bne	cntnum
	ldx	#10
	jmp	cntnum1
cntnum
	sta	rd_main
	ldx	pins+30,y	;prevent overflow, 9 means 9 or more.
	cpx	#10
	bcc	cntnum1
	ldx	#9
cntnum1 
	sta	rd_aux
	lda	numslo,x
	sta	nxpcc+4
	lda	numshi,x
	sta	nxpcc+5
	sty	savey
	ldx	spxofs
	ldy	spyofs

	sta	rd_main
	sta	wr_main
	jsr	xdraw
	ldy	savey
	iny
	cpy	#7
	bne	lp7x

	sta	rd_main
	sta	wr_main

	jsr	copy_e

	rts
termnums	endproc

shfsfl	proc
	ldx	#0
	ldy	n_sfloors
	beq	..sfxt
..sflp
	sty	joytmp1
	lda	sfloors+2,x
	sta	joytmp
	lda	sfloors+1,x
	asl	a
	asl	a
	asl	a
	tay

	sta	rd_aux
	lda	scanlo,y
	sta	spoint
	lda	scanhi,y
	clc
	adc	#$04
	sta	spoint+1
	sta	rd_main

	ldy	sfloors,x

	dey			;check to left of floor
	lda	(spoint),y
	and	#$80
	bne	..sfcrt
..sfcnl	dey
	lda	(spoint),y
	and	#$80
	beq	..sfcnl
	iny
	tya
	sta	sfloors,x
	jmp	..sfxit
..sfcrt
	tya
	clc
	adc	joytmp
	tay

	lda	sfloors,x
	sta	joytmp
..sfcnr
	iny
	inc	joytmp
	lda	(spoint),y
	and	#$80
	beq	..sfcnr
	dec	joytmp
	lda	joytmp
	sta	sfloors,x
..sfxit
	inx
	inx
	inx
	inx
	ldy	joytmp1
	dey
	bne	..sflp
..sfxt
	rts
shfsfl	endproc
	end
